> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/edge/fetch-logs-from-edge/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Fetch logs from Edge POST https://api.mezmo.com/v3/pipeline/account/local-deploy/log Content-Type: application/json Receive logs from an Edge pipeline Reference: https://mezmo.ferndocs.com/api-reference/pipeline/edge/fetch-logs-from-edge ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Query parameters - `edge_id` (string, optional) — Logs for specific edge_id ### Body (application/json) This endpoint expects a list of PipelineAccountLocalDeployLogPostRequestBodyContentApplicationJsonSchemaItems. - `list of PipelineAccountLocalDeployLogPostRequestBodyContentApplicationJsonSchemaItems` ## Response ### 200 Default Response ## Types ### PipelineAccountLocalDeployLogPostRequestBodyContentApplicationJsonSchemaItems - `pipeline_id` (string, required) - `component_id` (string, required) - `message` (string, required) - `level` (enum, required) - Allowed values: `DEBUG`, `INFO`, `WARN`, `ERROR` - `last_seen_at` (datetime, required) ## Examples **Request** ```json [ { "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "message": "payment-service connected to telemetry.acme-corp.io successfully", "level": "INFO", "last_seen_at": "2024-01-15T09:30:00Z" } ] ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/account/local-deploy/log" payload = [ { "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "message": "payment-service connected to telemetry.acme-corp.io successfully", "level": "INFO", "last_seen_at": "2024-01-15T09:30:00Z" } ] headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/account/local-deploy/log'; const options = { method: 'POST', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '[{"pipeline_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6","component_id":"7c9e6679-7425-40de-944b-e07fc1f90ae7","message":"payment-service connected to telemetry.acme-corp.io successfully","level":"INFO","last_seen_at":"2024-01-15T09:30:00Z"}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/account/local-deploy/log" payload := strings.NewReader("[\n {\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"message\": \"payment-service connected to telemetry.acme-corp.io successfully\",\n \"level\": \"INFO\",\n \"last_seen_at\": \"2024-01-15T09:30:00Z\"\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/account/local-deploy/log") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"message\": \"payment-service connected to telemetry.acme-corp.io successfully\",\n \"level\": \"INFO\",\n \"last_seen_at\": \"2024-01-15T09:30:00Z\"\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v3/pipeline/account/local-deploy/log") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("[\n {\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"message\": \"payment-service connected to telemetry.acme-corp.io successfully\",\n \"level\": \"INFO\",\n \"last_seen_at\": \"2024-01-15T09:30:00Z\"\n }\n]") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v3/pipeline/account/local-deploy/log', [ 'body' => '[ { "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "message": "payment-service connected to telemetry.acme-corp.io successfully", "level": "INFO", "last_seen_at": "2024-01-15T09:30:00Z" } ]', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/account/local-deploy/log"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"7c9e6679-7425-40de-944b-e07fc1f90ae7\",\n \"message\": \"payment-service connected to telemetry.acme-corp.io successfully\",\n \"level\": \"INFO\",\n \"last_seen_at\": \"2024-01-15T09:30:00Z\"\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = [ [ "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7", "message": "payment-service connected to telemetry.acme-corp.io successfully", "level": "INFO", "last_seen_at": "2024-01-15T09:30:00Z" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/account/local-deploy/log")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```